// Maomi.h : main header file for the PROJECT_NAME application
//

#pragma once

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols


// CMaomiApp:
// See Maomi.cpp for the implementation of this class
//
#include "MaomiConfig.h"

class CMaomiApp : public CWinApp
{
public:
	CMaomiApp();

// Overrides
	public:
	virtual BOOL InitInstance();

// Implementation

	DECLARE_MESSAGE_MAP()

private:
	bool InstallLowLevelMouseHook();
	static void MouseMonitorProc(void* aUserDataP);

private:
	CMaomiConfig*		mConfigP;
	bool				mShuttingDown;
	HANDLE				mMutexH;
	HANDLE				mThreadH;
	HMODULE				mLowLevelMouseHookDllH;
	HOOKPROC			mLowLevelMouseHookProc;
	HHOOK				mLowLevelMouseHookH;

	LPLONG				mLatestTickP;
	LPMSLLHOOKSTRUCT	mLatestMsllHookStructP; 
public:
	virtual int ExitInstance();
};

extern CMaomiApp theApp;
