// MouseHook.cpp : Defines the initialization routines for the DLL.
//

#include "MouseHook.h"
#include <stdio.h>

MSLLHOOKSTRUCT	LatestMsllHookStruct;
LONG			LatestTick;

DLLEXPORT LRESULT CALLBACK LowLevelMouseHookProc(int nCode, WPARAM wParam, LPARAM lParam)
{
	LPMSLLHOOKSTRUCT mouseLowLevelHookStructP = reinterpret_cast<LPMSLLHOOKSTRUCT>(lParam);
	InterlockedExchange(&LatestTick, mouseLowLevelHookStructP->time);
	LatestMsllHookStruct = *mouseLowLevelHookStructP;	
	return CallNextHookEx(NULL, nCode, wParam, lParam); 
}